library ieee;
use ieee.std_logic_1164.all;
use work.spi_bus_3slv;

entity spi_master is
    port(
        clk             : in  std_logic;
        rst             : in  std_logic;
        spi             : view spi_bus_3slv.qspi_master_view
    );
end entity spi_master;

architecture RTL of spi_master is
begin
    FOOBAR: process(clk, rst)
    begin
    --            ...
        spi.ssel <= (others => '1');
        if cs_asserted then
            spi.ssel(active_cs) <= '0';
        end if;

        if shiftdata then
            spi.mosi <= sr(sr'high downto sr'high-3);
            sr(3 downto 0) := spi.miso;
        end if;

        if makerisingedge then
            spi.sclk <= '1';
        elsif makefallingedge then
            spi.sclk <= '0';
        end if;
    -- ..            ...
    end process FOOBAR;
end architecture RTL;
