library ieee;
use ieee.std_logic_1164.all;
use work.spi_bus_3slv.all;

entity qspi_flash is
    generic(
        Tpd : time := 1 ns;
        Ts  : time := 1 ns
    );
    port(
        group spi : spi_slave;
        wren      : in std_logic := '1'
    );
end entity qspi_flash;

architecture Behavioral of qspi_flash is
begin

    SIM: process
        variable cmd : std_logic_vector(7 downto 0);
    begin
        spi.dout <= 'Z';
        wait until spi.cs = '0';
        spi_bits(spi, 8, x"00", cmd, Tpd, Ts);
        case cmd is
        when x"80" =>
        --                        ...
        end case;
    end process SIM;
end architecture Behavioral;
