library ieee;
use ieee.std_logic_1164.all;
use work.spi_bus_3slv.all;

entity FPGA is
    port(
        clk       : in std_logic;
        rst       : in std_logic;
        --        ...
        group spi : spi_master
    );
end entity FPGA;

architecture Structural of FPGA is
--        ...
begin
    SPIMST : entity work.spi_master
        port map(
            clk => clk,
            rst => rst,
            --        ...
            spi => spi
        );

--        ...
end architecture Structural;
